package com.reptileclient.jlifeapp.dao.hm;

import cn.hutool.core.date.DateTime;
import com.reptileclient.jlifeapp.entity.hm.HmPaymentOrder;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface HmPaymentOrderMapper {
    int deleteByPrimaryKey(Long id);

    int insert(HmPaymentOrder record);

    int insertSelective(HmPaymentOrder record);

    HmPaymentOrder selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(HmPaymentOrder record);

    int updateByPrimaryKey(HmPaymentOrder record);

    HmPaymentOrder selectNewOne(@Param("shopCode") String shopCode);

    int insertByBatch(List<HmPaymentOrder> hmPaymentOrders);

    int deleteByCreateTime(@Param("createTime") Date createTime, @Param("shopCode") String shopCode);

    int deleteByBuyerPhone(String buyerPhone);

    int deleteDistinctData(@Param("dateTime") DateTime dateTime);

    HmPaymentOrder selectByPaymentNo(String paymentNo);

    int deleteByBetWeenTime(@Param("startTime") DateTime startTime, @Param("endTime") DateTime endTime);
}